Bug 129665 - usb system no longer recognizes flash drive
usb system no longer recognizes flash drive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 13:24 EDT by Kevin Taylor
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.6 dmesg output (11.42 KB, text/plain)
2004-08-18 06:04 EDT, Kevin Taylor
no flags Details
2.6.7 dmesg output (12.64 KB, text/plain)
2004-08-18 06:05 EDT, Kevin Taylor
no flags Details
Candidate #1 - from -mm (755 bytes, patch)
2004-08-19 20:53 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Kevin Taylor 2004-08-11 13:24:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
2.6.6-1.435.2.3 kernel recognized usb 2 devices through the uhci_hcd
system, and would recognize the sandisk flash stick. After upgrading
to 2.6.7-1.494.2.2 it does not.

Nothing happens at all when I plug the flash drive in, no messages in
syslog or anything.

If I use the same flash drive in a system that is using a usb 1
controller, I see this:

Aug 11 13:02:32 host kernel: usb 1-2: new full speed USB device using
addres
s 2
Aug 11 13:02:35 host kernel: Initializing USB Mass Storage driver...
Aug 11 13:02:35 host kernel: scsi1 : SCSI emulation for USB Mass
Storage devices
Aug 11 13:02:35 host kernel:   Vendor: Generic   Model: STORAGE DEVICE
   Rev: 1033
Aug 11 13:02:35 host kernel:   Type:   Direct-Access                 
    ANSI SCSI revision: 02
Aug 11 13:02:35 host kernel: SCSI device sda: 512000 512-byte hdwr
sectors (262 MB)
Aug 11 13:02:35 host kernel: sda: Write Protect is off
Aug 11 13:02:35 host kernel: sda: assuming drive cache: write through
Aug 11 13:02:35 host kernel:  sda: sda1
Aug 11 13:02:35 host kernel: Attached scsi removable disk sda at
scsi1, channel 0, id 0, lun 0
Aug 11 13:02:35 host kernel: usbcore: registered new driver usb-storage
Aug 11 13:02:35 host kernel: USB Mass Storage support registered.
Aug 11 13:02:36 host kernel: Attached scsi generic sg0 at scsi1,
channel 0, id 0, lun 0,  type 0
Aug 11 13:02:36 host kernel: updfstab: Using deprecated /dev/sg
mechanism instead of SG_IO on the actual device
Aug 11 13:02:36 host scsi.agent[8592]: disk at
/devices/pci0000:00/0000:00:07.2/usb1/1-2/1-2:1.0/host1/1:0:0:0



Version-Release number of selected component (if applicable):
2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1.plug in flash device
2.
3.
    

Actual Results:  Nothing happens. (even after manually loading
usb-storage module)

Expected Results:  System should recognize the device. 

Additional info:
Comment 1 Kevin Taylor 2004-08-17 07:16:34 EDT
Anyone out there? 
Comment 2 Pete Zaitcev 2004-08-17 13:02:58 EDT
Looks that the EHCI is busted on the motherboard for some reason.
Maybe it's not connected at all and not joined with a companion
controller.

Just remove ehci_hcd from /etc/modprobe.conf for now.
Comment 3 Kevin Taylor 2004-08-17 13:36:30 EDT
I disagree. I boot the old kernel (2.6.6-1.435.2.3) and ehci_hcd works
fine, new kernel 2.6.7-1.494.2.2 does not. Doesn't seem like a
hardware issue.
Comment 4 Pete Zaitcev 2004-08-17 15:10:16 EDT
Comment #3 directly contradicts the initial report:
"2.6.6-1.435.2.3 kernel recognized usb 2 devices through the uhci_hcd
system []"
What do I believe?

Please boot the system using 2.6.6-1.435.2.3 and capture dmesg
(with dmesg > /tmp/d1.dump), do the same on the 2.6.7-1.494.2.2,
attach results to the bug. Please do not drop dmesg outputs
into comments box!
Comment 5 Kevin Taylor 2004-08-18 05:48:06 EDT
oops. I made a typo, that would explain the confusion. It was supposed
to say ehci_hcd. 

Comment 6 Kevin Taylor 2004-08-18 06:04:14 EDT
Created attachment 102827 [details]
2.6.6 dmesg output

The ehci_hcd section here shows proper initialization identifying the bus as
USB 2.0
Comment 7 Kevin Taylor 2004-08-18 06:05:54 EDT
Created attachment 102828 [details]
2.6.7 dmesg output

The 2.6.7 kernel output shows that ehci_hcd produced an error and fails to
uhci_hcd which doesn't work.
Comment 8 Pete Zaitcev 2004-08-19 20:37:27 EDT
@@ -87,22 +87,40 @@
 Linux Plug and Play Support v0.97 (c) Adam Belay
 usbcore: registered new driver usbfs
 usbcore: registered new driver hub
+PCI: Using ACPI for IRQ routing
 ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
+ACPI: PCI interrupt 0000:00:02.0[A] -> GSI 11 (level, low) -> IRQ 11
+ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 11 (level, low) -> IRQ 11
 ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 5
+ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 5 (level, low) -> IRQ 5
 ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
+ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI 10 (level, low) -> IRQ 10
+ACPI: PCI interrupt 0000:00:1d.3[A] -> GSI 11 (level, low) -> IRQ 11
 ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 9
+ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 9 (level, low) -> IRQ 9
+ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 10 (level, low) -> IRQ 10
+ACPI: PCI interrupt 0000:00:1f.2[A] -> GSI 10 (level, low) -> IRQ 10
 ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 3
-PCI: Using ACPI for IRQ routing
+ACPI: PCI interrupt 0000:00:1f.3[B] -> GSI 3 (level, low) -> IRQ 3
+ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 3 (level, low) -> IRQ 3
+ACPI: PCI interrupt 0000:01:01.0[A] -> GSI 10 (level, low) -> IRQ 10
+TC classifier action (bugs to netdev@oss.sgi.com cc hadi@cyberus.ca)
 vesafb: probe of vesafb0 failed with error -6
 apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
.....
@@ -121,6 +139,7 @@
 ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
 ICH5: IDE controller at PCI slot 0000:00:1f.1
 PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
+ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 10 (level, low) -> IRQ 10
 ICH5: chipset revision 2
.....
 ACPI: Sleep Button (CM) [SLPB]
+ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 9 (level, low) -> IRQ 9
 ehci_hcd 0000:00:1d.7: EHCI Host Controller
-PCI: Setting latency timer of device 0000:00:1d.7 to 64
-ehci_hcd 0000:00:1d.7: irq 9, pci mem 21bf2c00
-ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
-PCI: cache line size of 128 is not supported by device 0000:00:1d.7
-ehci_hcd 0000:00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2004-May-10
-hub 1-0:1.0: USB hub found
-hub 1-0:1.0: 8 ports detected
+ehci_hcd 0000:00:1d.7: BIOS handoff failed (104, 1010001)
+ehci_hcd 0000:00:1d.7: can't reset
+ehci_hcd 0000:00:1d.7: init 0000:00:1d.7 fail, -95
+ehci_hcd: probe of 0000:00:1d.7 failed with error -95
 USB Universal Host Controller Interface driver v2.2
+ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 11 (level, low) -> IRQ 11
 uhci_hcd 0000:00:1d.0: UHCI Host Controller
 PCI: Setting latency timer of device 0000:00:1d.0 to 64
 uhci_hcd 0000:00:1d.0: irq 11, io base 0000c800
-uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
-hub 2-0:1.0: USB hub found
-hub 2-0:1.0: 2 ports detected
+uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
+hub 1-0:1.0: USB hub found
+hub 1-0:1.0: 2 ports detected
+ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 5 (level, low) -> IRQ 5
 uhci_hcd 0000:00:1d.1: UHCI Host Controller
 PCI: Setting latency timer of device 0000:00:1d.1 to 64

Drats, it's the broken BIOS. I knew it would happen to someone...
But I think I can come up with a workaround.
Let me look at 2.6.7-1.494.2.2 real quick here.
Comment 9 Pete Zaitcev 2004-08-19 20:53:07 EDT
Created attachment 102911 [details]
Candidate #1 - from -mm
Comment 10 Kevin Taylor 2004-08-20 05:57:42 EDT
I noticed fc2 just released 2.6.8-1.521

I suppose those changes aren't in there?
Comment 11 Kevin Taylor 2004-08-20 06:25:38 EDT
They're not. We may be moving to 2.6.8-1.521 soon just because it
fixes some other problems we were seeing with regards to networking.

Will those changes still apply or will they make it in the next kernel
you ship?
Comment 12 Pete Zaitcev 2004-09-12 00:51:59 EDT
Regarding upstream, the fix is not in 2.6.8.1, but it is in 2.6.9-rc1.
If Arjan bases next update on 2.6.9-rc1 or later, the fix will make it.
Comment 13 Pete Zaitcev 2004-11-02 14:52:02 EST
Kevin, is a Rawhide kernel acceptable for you? I'm not in a position
to push for new FC2 rebuilds.
Comment 14 Kevin Taylor 2004-11-03 09:20:41 EST
Unfortunately not. We want to avoid custom kernels when possible.
Comment 15 Colin Charles 2004-11-03 10:27:01 EST
Kevin, how about trying the current rawhide kernel to see if the
problem gets fixed. If it is, just report back saying "its been
fixed". You'll be rewarded with a nice new kernel in due time (thats
from updates)

Pete: davej is apparently working on an FC2 update, w/2.6.9 goodness
Comment 16 Kevin Taylor 2004-11-03 11:08:59 EST
I can give it a whack.
Comment 17 Dave Jones 2005-04-16 01:41:09 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.